# 83. الاستعلام: جمع سياق المنصة

عند وجود عدد كبير (مئات أو آلاف) من مجموعات البيانات المعالجة (مثل "SatelliteImage"، "AsAppliedDataset"، "YieldDataset"، "SoilDataset"، إلخ) هناك دائمًا حاجة لفهم حالة معالجة كل مجموعة بيانات وجمع ملخص المعالجة. يتم توفير هذه التفاصيل باستخدام `getPlatformContext` query.&#x20;

الحالات الشائعة:&#x20;

* تتبع تقدم المعالجة
* جمع ملخص وإحصاءات المعالجة
* مراقبة الأخطاء والتحذيرات أثناء المعالجة لإجراء تحقيق أعمق لاحقًا في مجموعات البيانات المتأثرة

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query CollectPlatformContext {
 getPlatformContext(input: {
   userUuids: ["<placeholder_of_user_uuid>"],
   statuses: [Start, Done, Warning, Error, Ignored],
   dateFrom: "2023-05-25T12:49:00.000Z", 
   dateTo: "2023-05-30T06:35:00.000Z", 
 }) {
   events {
     معرف_الحقل
     subFieldUuid
     subFieldType
     operationId
     status 
     executionDate
     messageKey
     optional
   }
 }
}
```

{% endcode %}

مرشحات الإدخال المدعومة:

* `dateFrom` كحقل تاريخ ووقت بتنسيق ISO 8601 (مثال: `"2023-05-25T12:49:00.000Z"`)
* `dateTo` كحقل تاريخ ووقت بتنسيق ISO 8601 (مثال: `"2023-05-30T06:35:00.000Z"`)
* `operationIds` كمصفوفة من معرفات العمليات (`سلاسل`)
* `statuses` كمصفوفة تحتوي قيمًا من `ContextEventStatus` قيمة تعداد (enum) تحتوي على جميع حالات المعالجة بما في ذلك الوسيطة، يوصى باستخدام الحالات الرئيسية `[Start, Done, Warning, Error, Ignored]`
* `subFieldTypes` كمصفوفة تحوي قيمًا من `TreeNodeEntity` قيمة تعداد (enum) تحتوي على جميع كائنات GeoPard
* `subFieldUuids` كمصفوفة من UUIDs المرتبطة بالكيانات المحددة في `subFieldTypes`&#x20;
* `userUuids` كمصفوفة من UUIDs للمستخدمين للبحث

{% hint style="info" %}
يجب تهيئة واحد على الأقل من المرشحات التالية: `userUuids`, `fieldUuids`, `subFieldUuids`، أو `operationIds`.
{% endhint %}

{% hint style="info" %}
إذا `dateFrom` و `dateTo` لم يتم تحديدها، يتم تعيين مدة الاستعلام الافتراضية إلى 12 ساعة. النطاق الزمني الموصى به الأقصى لاسترجاع البيانات هو 24 ساعة.
{% endhint %}

{% hint style="info" %}
هناك حد أقصى لعدد الصفوف المسموح بتسليمها يبلغ 10,000 صف.
{% endhint %}

{% hint style="info" %}
لمشاهدة جميع القيم المتاحة الأحدث للأنواع المعدودة (مثل: `TreeNodeEntity`,  `ContextEventStatus, ContextMessageKey`)، يُنصح باستخدام [Altair](/geopard-tutorials/ar/mstndat-wajhh-brmjh-alttbyqat/albda-bastkhdam-wajhh-brmjh-ttbyqat-geopard.md).
{% endhint %}

كائن الإخراج يتضمن السمات التالية:

* `معرف_الحقل` يمثل UUID الحقل المرتبط
* `subFieldUuid` يدل على UUID مجموعة البيانات المعالجة المرتبطة (مثل "SatelliteImage"، "AsAppliedDataset"، "YieldDataset"، "SoilDataset"، إلخ)
* `subFieldType` كقيمة تعداد (enum) مرتبطة بـ `TreeNodeEntity`
* `operationId` كسلسلة تحتوي على معرف العملية، يبقى ثابتًا عبر جميع سلاسل المعالجة ذات الصلة، ويُنصح بتجميع النتائج حسب هذا المعرف لتتبع جميع مراحل المعالجة
* `status` كقيمة تعداد (enum) مرتبطة بـ `ContextEventStatus`
* `executionDate` كسلسلة بتنسيق ISO 8601 تشير إلى لحظة التنفيذ
* `messageKey` كقيمة تعداد (enum) مرتبطة بـ `ContextMessageKey` التي تصف نتيجة التنفيذ
* `optional` كسلسلة توفر وصفًا تقنيًا (إذا كان ذا صلة)، تُستخدم أساسًا لأغراض تصحيح الأخطاء والإبلاغ عن العيوب


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ar/mstndat-wajhh-brmjh-alttbyqat/nzrh-aamh-ala-tlbat-wajhh-brmjh-ttbyqat-geopard/83.-alastalam-jma-syaq-almnsh.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
